> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Node Groups Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/digitalocean/{cluster_id}/node-groups
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}/node-groups:
    get:
      tags:
        - DigitalOcean Cluster API
      summary: List Node Groups Endpoint
      operationId: >-
        list_node_groups_endpoint_api_v1_clusters_digitalocean__cluster_id__node_groups_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeGroupListResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    NodeGroupListResult:
      properties:
        node_groups:
          items:
            $ref: '#/components/schemas/NodeGroupInfo'
          title: Node Groups
          type: array
      required:
        - node_groups
      title: NodeGroupListResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NodeGroupInfo:
      properties:
        count:
          title: Count
          type: integer
        instance_type:
          title: Instance Type
          type: string
        labels:
          additionalProperties:
            type: string
          title: Labels
          type: object
        max:
          default: 100
          title: Max
          type: integer
        min:
          default: 0
          title: Min
          type: integer
        name:
          title: Name
          type: string
        taints:
          items:
            $ref: '#/components/schemas/NodeTaint'
          title: Taints
          type: array
      required:
        - name
        - instance_type
        - count
      title: NodeGroupInfo
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    NodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          title: Effect
          type: string
        key:
          title: Key
          type: string
        value:
          default: ''
          title: Value
          type: string
      required:
        - key
        - effect
      title: NodeTaint
      type: object

````